MPIL_Universe_size(3)

NAME
MPIL_Universe_size - LAM/MPI-specific function to obtain the number of nodes in the MPI environment

SYNOPSIS
#include <mpi.h>
int MPIL_Universe_size(int *size)

OUTPUT PARAMETER
size
    - number of nodes in the MPI environment (from lamboot )

NOTES
This function is deprecated. It has been replaced with an MPI-2 attribute on MPI_COMM_WORLD - MPI_UNIVERSE_SIZE , which provides the same functionality. This function is (or effectively is) a wrapper to the replacement attribute, anyway. User programs should use the MPI-2 replacement attribute instead of this function. Some functions are deprecated because their names did not conform to the stricter naming conventions of MPI-2; others are deprecated because they have been replaced with more flexible functionality.

SEE ALSO
MPI_Comm_attr_get

LOCATION
mpil_spawn.c